Bug 7887 - Talloc error if a service doesn't start correctly
Talloc error if a service doesn't start correctly
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x64 Linux
: P3 minor
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 01:41 UTC by Brad Hards
Modified: 2011-01-14 14:52 UTC (History)
0 users

See Also:


Attachments
Patch solution (2.37 KB, patch)
2011-01-12 14:59 UTC, Matthias Dieter Wallnöfer
no flags Details
Fixed patch (2.03 KB, patch)
2011-01-13 01:10 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Hards 2010-12-24 01:41:05 UTC
When starting web_server without swat installed, it complains then reports this in the logs:

task_server_terminate: [websrv_task_init: failed to startup web server task]
ERROR: talloc_free with references at ../smbd/service_task.c:52
        reference at ../smbd/service_stream.c:357
Comment 1 Matthias Dieter Wallnöfer 2011-01-12 14:59:07 UTC
Created attachment 6197 [details]
Patch solution
Comment 2 Andrew Bartlett 2011-01-12 16:00:45 UTC
Matthias,

That patch appears to have been mangled by something (the ends of the lines make no sense)
Comment 3 Matthias Dieter Wallnöfer 2011-01-13 01:10:58 UTC
Created attachment 6199 [details]
Fixed patch
Comment 4 Matthias Dieter Wallnöfer 2011-01-14 14:52:52 UTC
The patch has been reviewed by Jelmer and is currently under autobuild. It should soon be landing in "master".

I'm marking it as FIXED.